org.eclipse.microprofile.rest.client.tck.timeout

## Class TimeoutBuilderIndependentOfMPConfigTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase
      - - org.eclipse.microprofile.rest.client.tck.timeout.TimeoutBuilderIndependentOfMPConfigTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class TimeoutBuilderIndependentOfMPConfigTest
    extends TimeoutTestBase

This test verifies that even if a client is configured via MP Config, that if a separate client instance is created programmatically and using a different timeout, then the programmatically specified timeout is honored.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase

`ROUNDING_FACTOR_CUSHION, TIMEOUT_CUSHION, UNUSED_URL`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`TimeoutBuilderIndependentOfMPConfigTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `checkTimeElapsed(long elapsed)`
`static org.jboss.shrinkwrap.api.Archive<?>` `createDeployment()`
`protected SimpleGetApi` `getClientWithConnectTimeout()`
`protected SimpleGetApi` `getClientWithReadTimeout()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.timeout.TimeoutTestBase

`testConnectTimeout, testReadTimeout`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeoutBuilderIndependentOfMPConfigTest

    public TimeoutBuilderIndependentOfMPConfigTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

#### getClientWithReadTimeout

    protected SimpleGetApi getClientWithReadTimeout()

Specified by:
  `getClientWithReadTimeout` in class `TimeoutTestBase`

#### getClientWithConnectTimeout

    protected SimpleGetApi getClientWithConnectTimeout()

Specified by:
  `getClientWithConnectTimeout` in class `TimeoutTestBase`

#### checkTimeElapsed

    protected void checkTimeElapsed(long elapsed)

Specified by:
  `checkTimeElapsed` in class `TimeoutTestBase`